Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.sql
Class QJdbc

    java.lang.Object
      com.trolltech.qt.sql.QJdbc

    public class QJdbc

extends java.lang.Object

The QJdbc class is responsible for implementing a Qt database plugin based on a JDBC database driver. In addition to making use of the QJdbc database driver an application also needs a JDBC driver. Below you find an example use of the QJdbc database driver in combination with a mysql JDBC driver and opens the output in two separate QTableView's.

        public static void main(String args[])
        {
            QApplication.initialize(args);

            QJdbc.initialize();

            try {
                Class.forName("com.mysql.jdbc.Driver").newInstance();
            } catch (Exception ex) { System.err.println(ex); return; }

            QSqlDatabase db = QSqlDatabase.addDatabase(QJdbc.ID);
            db.setDatabaseName("jdbc:mysql://myhostname/mydatabase");
            db.setUserName("myusername");
            db.setPassword("mypassword");
            if (db.open()) {
                System.out.println("Connected!");
            } else {
                System.out.println("Connection Failed!");
                System.out.println(db.lastError().text());
                return;
            }

            QSqlTableModel model = new QSqlTableModel(null, db);
            model.setTable("mytablename");
            if (!model.select()) {
                System.err.println(model.lastError().text());
            }
            QTableView view = new QTableView();
            view.setModel(model);
            view.show();

            QTableView view2 = new QTableView();
            view2.setModel(model);
            view2.show();

            QApplication.exec();

            db.close();
        }

Field Summary
`static java.lang.String` | `ID` The id string that should be used in calls to QSqlDatabase.addDatabase() when setting up a new database connection.

Constructor Summary
`QJdbc()`

Method Summary
`static void` | `initialize()` Sets up the QJdbc Database driver plugin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  The id string that should be used in calls to QSqlDatabase.addDatabase() when setting up a new database connection.

  See Also:
    Constant Field Values

Constructor Detail

### QJdbc

    public QJdbc()

Method Detail

### initialize

    public static void initialize()

  Sets up the QJdbc Database driver plugin. This function must be called before the QJdbc driver plugin can be used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD